;---------------------------------------------------------------------------
;
;			Extended Memory Specification
;
;		Function Definition and xmsDriver Call Macro
;
;---------------------------------------------------------------------------

; allocation granularity

XMS_ALLOC_UNIT		EQU	1024

; XMS functions

XMS_LOCAL_A20_ENABLE	EQU	05h
XMS_LOCAL_A20_DISABLE	EQU	06h
XMS_QUERY_MEMORY	EQU	08h
XMS_ALLOC_MEMORY	EQU	09h
XMS_FREE_MEMORY		EQU	0Ah
XMS_LOCK_MEMORY		EQU	0Ch
XMS_UNLOCK_MEMORY	EQU	0Dh
XMS_QUERY_ANY_MEMORY	EQU	88h
XMS_ALLOC_ANY_MEMORY	EQU	89h
